Subject: NEW IPC AND NT
From: [email-masked] (Philippe Chapuy)

27 Jun 1997 02:02:28 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="ISO-8859-1"
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Cygnus gnuwin32)
Content-disposition: inline
X-Mailer: Connect2-SMTP 4.30.b7B MHS/SMF to SMTP Gateway
Original-Sender: [email-masked]

Hi,

I needed a IPC UNIX layer, so, as there is no such things in b18, I wrote one.

if you're interested in, you can download sources at the adress:

******************************************
http://www2.multitel.cgs.fr/tools/pack_ipc
******************************************

once compile, you'll have 5 commands:

ipcd &: start the ipc daemon manager
ipcrm : like UNIX ipcrm
ipcs : like UNIX ipcs
ipck : shell script to kill all ipc
montest : little test program

and a library:

Ipc.a

which has "almost" all the UNIX features.

NB/ Don't forget to include "IpcNtExt.h" in your source file to use the library.

I wrote this library from LINUX KERNEL sources. Many thank's to Krishna
Balasubramanian....

So, if you use it and point out some bugs (there are certainly a lot) and fix
them, i am interested in knowing them.

Enjoy.

All the best,

Phil.

PS/ In case of bugs in the library, you have to kill the blocked processes with
the task manager.
The ipc daemon "ipcd" must also be killed for the moment with the task manager.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".